## python-trezor 0.11.6

=== requirements.txt ===
ecdsa>=0.9
mnemonic>=0.17
requests>=2.4.0
click>=7,<8
libusb1>=1.6.4
construct>=2.9
typing_extensions>=3.7.4
pyblake2>=0.9.3 ; python_version<'3.6'

## python-trezor 0.6.10

=== debian/changelog ===
python-trezor (0.6.10-1) unstable; urgency=medium

  * new upstream release without changelog

 -- Richard Ulrich <richi@paraeasy.ch>  Thu, 14 Jan 2016 22:32:13 +0100

python-trezor (0.6.5-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0+git
  * Initial release. (Closes: #763376)

 -- Richard Ulrich <richi@paraeasy.ch>  Wed, 24 Sep 2014 22:57:50 +0200

=== debian/control ===
Source: python-trezor
Maintainer: Richard Ulrich <richi@paraeasy.ch>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Section: python
Homepage: https://github.com/trezor/python-trezor
Priority: optional
Build-Depends: debhelper (>=7), dh-python, python-all, python-setuptools
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-trezor.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-trezor.git

Package: python-trezor
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: library for communicating with TREZOR Bitcoin HW wallet
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/trezor/trezor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-trezor 0.6.11

=== debian/changelog ===
python-trezor (0.6.11-1) unstable; urgency=medium

  [ Richard Ulrich ]
  * new upstream release without changelog
  * updated udev rules

  [ Tristan Seligmann ]
  * Bump Standards-Version to 3.9.8 (no changes).
  * Update Vcs-* URLs.
  * Add pydist-overrides to get versioned dependencies.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 29 May 2016 15:23:31 +0200

## python-trezor 0.6.13

=== debian/changelog ===
python-trezor (0.6.13-1) unstable; urgency=medium

  * new upstream release without changelog

 -- Richard Ulrich <richi@paraeasy.ch>  Thu, 04 Aug 2016 21:50:43 +0200

=== debian/control ===
Source: python-trezor
Maintainer: Richard Ulrich <richi@paraeasy.ch>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Section: python
Homepage: https://github.com/trezor/python-trezor
Priority: optional
Build-Depends: python-setuptools, python-all, debhelper (>=9), dh-python
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-trezor.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-trezor.git

Package: python-trezor
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: library for communicating with TREZOR Bitcoin HW wallet
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.

## python-trezor 0.7.6

=== debian/changelog ===
python-trezor (0.7.6-1) unstable; urgency=medium

  * new upstream release without changelog

 -- Richard Ulrich <richi@paraeasy.ch>  Thu, 20 Oct 2016 22:05:16 +0200

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,4 @@
  TREZOR is an isolated environment for offline transaction signing and using
  a small display you can visually verify the transaction contents. That's why
  all operations using TREZOR are entirely safe. 
+

## python-trezor 0.7.16

=== debian/changelog ===
python-trezor (0.7.16-3) unstable; urgency=medium

  * Fix Build-Depends on python{,3}-hidapi; these should be python{,3}-hid
    (closes: #885105).
  * Add py{,3}dist-overrides for hidapi.
  * Ship AppStream metadata with modalias provides, so this package will
    be suggested upon attaching a TREZOR.
  * Install bash completion snippet.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 24 Dec 2017 13:46:32 +0200

python-trezor (0.7.16-2) unstable; urgency=medium

  * Add some missing copyright information (closes: #884188).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 17 Dec 2017 11:43:20 +0200

python-trezor (0.7.16-1) unstable; urgency=medium

  * New upstream release.
  * Build Python 3 package and switch to pybuild.
  * Update udev rules.
  * Bump Standards-Version to 4.1.2 (no changes).
  * Use https for pypi.debian.net.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 11 Dec 2017 07:48:42 +0200

=== debian/control ===
Source: python-trezor
Maintainer: Richard Ulrich <richi@paraeasy.ch>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Section: python
Homepage: https://github.com/trezor/python-trezor
Priority: optional
Build-Depends:
 bash-completion,
 debhelper (>=9),
 dh-python,
 python-all,
 python-ecdsa,
 python-hid,
 python-mnemonic,
 python-protobuf,
 python-requests,
 python-setuptools,
 python3-all,
 python3-ecdsa,
 python3-hid,
 python3-mnemonic,
 python3-protobuf,
 python3-requests,
 python3-setuptools,
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-trezor.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-trezor.git

Package: trezor
Architecture: all
Depends: python3-trezor, ${misc:Depends}, ${python3:Depends}
Section: utils
Description: utilities for communicating with TREZOR Bitcoin HW wallet
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the trezorctl binary for interacting with a TREZOR
 wallet, and the udev rules needed to make the device accessible.

Package: python-trezor
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: library for communicating with TREZOR Bitcoin HW wallet (Python 2)
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the Python 2 version of python-trezor.

Package: python3-trezor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the Python 3 version of python-trezor.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trezor
export PYBUILD_AFTER_INSTALL_python2=rm -r {destdir}/usr/bin
export PYBUILD_AFTER_INSTALL_python3=mkdir -p debian/trezor/usr/bin && mv {destdir}/usr/bin/trezorctl debian/trezor/usr/bin

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-trezor 0.9.0

=== debian/changelog ===
python-trezor (0.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Tristan Seligmann ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3 (no changes).
  * Fix Depends/Breaks/Replaces to handle move of trezorctl from
    python-trezor to trezor (closes: #884417).
  * Bump debhelper comat level to 11.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Mar 2018 19:16:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper (>=9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-ecdsa,
@@ -22,14 +22,16 @@
  python3-protobuf,
  python3-requests,
  python3-setuptools,
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-trezor.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-trezor.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-trezor
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-trezor.git
 
 Package: trezor
 Architecture: all
-Depends: python3-trezor, ${misc:Depends}, ${python3:Depends}
+Depends: python3-trezor, ${misc:Depends}, ${python:Depends}
 Section: utils
+Breaks: python-trezor (<< 0.7.16-1)
+Replaces: python-trezor (<< 0.7.16-1)
 Description: utilities for communicating with TREZOR Bitcoin HW wallet
  No matter how unprotected your computer or internet connection might be,
  your coins always stay safe with TREZOR as it never exposes your private keys.
@@ -43,6 +45,7 @@
 Package: python-trezor
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Breaks: electrum (<< 3.1.0)
 Description: library for communicating with TREZOR Bitcoin HW wallet (Python 2)
  No matter how unprotected your computer or internet connection might be,
  your coins always stay safe with TREZOR as it never exposes your private keys.
@@ -55,6 +58,7 @@
 Package: python3-trezor
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Breaks: electrum (<< 3.1.0)
 Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
  No matter how unprotected your computer or internet connection might be,
  your coins always stay safe with TREZOR as it never exposes your private keys.

## python-trezor 0.11.6

=== debian/changelog ===
python-trezor (0.11.6-1) unstable; urgency=medium

  [Emmanuel Arias]
  * New upstream release
  * Add me on d/copyright file
  * Remove Python 2 support
  * d/control: Bump debhelper-compat to 12
  * d/control: Bump Standar-Version to 4.4.1
  * d/copyright: Add me to debian/* files field.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Tristan Seligmann ]
  * New upstream release.
  * Fix deps.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 29 Jan 2020 14:11:36 +0200

=== debian/control ===
Source: python-trezor
Maintainer: Richard Ulrich <richi@paraeasy.ch>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Section: python
Homepage: https://github.com/trezor/python-trezor
Priority: optional
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-click,
 python3-construct,
 python3-ecdsa,
 python3-hid,
 python3-libusb1,
 python3-mnemonic,
 python3-protobuf,
 python3-requests,
 python3-setuptools,
 python3-typing-extensions,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-trezor
Vcs-Git: https://salsa.debian.org/python-team/modules/python-trezor.git

Package: trezor
Architecture: all
Depends: python3-trezor, ${misc:Depends}, ${python3:Depends}
Section: utils
Breaks: python-trezor
Replaces: python-trezor
Description: utilities for communicating with TREZOR Bitcoin HW wallet
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the trezorctl binary for interacting with a TREZOR
 wallet, and the udev rules needed to make the device accessible.

Package: python3-trezor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: electrum (<< 3.1.0)
Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the Python 3 version of python-trezor.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trezor
export PYBUILD_AFTER_INSTALL_python3=mkdir -p debian/trezor/usr/bin && mv {destdir}/usr/bin/trezorctl debian/trezor/usr/bin

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-trezor 0.12.1

=== debian/changelog ===
python-trezor (0.12.1-4) unstable; urgency=medium

  * Add Recommends: python3-hid for supporting older firmware.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 22 Aug 2020 21:56:10 +0200

python-trezor (0.12.1-3) unstable; urgency=medium

  * Expand py3dist-overrides for more precise dependencies.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 21 Aug 2020 19:46:30 +0200

python-trezor (0.12.1-2) unstable; urgency=medium

  * Tighten trezor dependency on python3-trezor.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 21 Aug 2020 18:02:37 +0200

python-trezor (0.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Run real tests from autopkgtest.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 19:37:26 +0200

python-trezor (0.12.0-1) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Set Maintainer to DPMT.

  [ Emmanuel Arias ]
  * New upstream version 0.12.0 (Closes: #947503).
  * d/io.trezor.trezorctl.metainfo.xml: Fix metadata license.
    - Change wrong mit license to gpl-3+.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/gbp.conf: use debian/master branch as default.
  * d/tests: add autopkgtest-pkg-python.conf to add correct
    import-name.

  [ Tristan Seligmann ]
  * Bump Standards-Version to 4.5.0 (no changes).
  * Bump debhelper-compat to 13.
  * Declare rootless build.
  * Switch to dh-sequence-*.
  * Pull in pytest to run the test suite.
  * Rename Lintian tag.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 02 Aug 2020 11:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: python-trezor
-Maintainer: Richard Ulrich <richi@paraeasy.ch>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders:
+ Tristan Seligmann <mithrandi@debian.org>,
+ Richard Ulrich <richi@paraeasy.ch>,
 Section: python
 Homepage: https://github.com/trezor/python-trezor
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-click,
  python3-construct,
@@ -16,19 +18,26 @@
  python3-libusb1,
  python3-mnemonic,
  python3-protobuf,
+ python3-pytest,
  python3-requests,
  python3-setuptools,
  python3-typing-extensions,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-trezor
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-trezor.git
+Rules-Requires-Root: no
 
 Package: trezor
 Architecture: all
-Depends: python3-trezor, ${misc:Depends}, ${python3:Depends}
+Depends:
+ python3-trezor (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
 Section: utils
-Breaks: python-trezor
-Replaces: python-trezor
+Breaks:
+ python-trezor,
+Replaces:
+ python-trezor,
 Description: utilities for communicating with TREZOR Bitcoin HW wallet
  No matter how unprotected your computer or internet connection might be,
  your coins always stay safe with TREZOR as it never exposes your private keys.
@@ -41,8 +50,13 @@
 
 Package: python3-trezor
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Breaks: electrum (<< 3.1.0)
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ electrum (<< 3.1.0),
+Recommends:
+ python3-hid,
 Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
  No matter how unprotected your computer or internet connection might be,
  your coins always stay safe with TREZOR as it never exposes your private keys.

## python-trezor 0.12.2

=== requirements.txt ===
ecdsa>=0.9
mnemonic>=0.17
requests>=2.4.0
click>=7,<8
libusb1>=1.6.4
construct>=2.9,!=2.10.55
typing_extensions>=3.7.4
pyblake2>=0.9.3 ; python_version<'3.6'

=== debian/changelog ===
python-trezor (0.12.2-2) unstable; urgency=medium

  * Suggest apt instead of pip install.
  * Add missing Recommends: python3-attr.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 29 Aug 2020 19:53:27 +0200

python-trezor (0.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream URLs.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 29 Aug 2020 13:48:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
  Tristan Seligmann <mithrandi@debian.org>,
  Richard Ulrich <richi@paraeasy.ch>,
 Section: python
-Homepage: https://github.com/trezor/python-trezor
+Homepage: https://github.com/trezor/trezor-firmware
 Priority: optional
 Build-Depends:
  bash-completion,
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
+ python3-attr,
  python3-click,
  python3-construct,
  python3-ecdsa,
  python3-hid,
  python3-libusb1,
  python3-mnemonic,
+ python3-pil,
  python3-protobuf,
  python3-pytest,
  python3-requests,
@@ -56,7 +58,9 @@
 Breaks:
  electrum (<< 3.1.0),
 Recommends:
+ python3-attr,
  python3-hid,
+ python3-pil,
 Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
  No matter how unprotected your computer or internet connection might be,
  your coins always stay safe with TREZOR as it never exposes your private keys.

## python-trezor 0.12.4

=== requirements.txt ===
ecdsa>=0.9
mnemonic>=0.17
requests>=2.4.0
click>=7,<9
libusb1>=1.6.4
construct>=2.9,!=2.10.55
typing_extensions>=3.7.4
pyblake2>=0.9.3 ; python_version<'3.6'
attrs

=== debian/changelog ===
python-trezor (0.12.4-3) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 15:00:27 +0200

python-trezor (0.12.4-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Sebastian Ramacher ]
  * debian/patches: Backport upstream fix for click 8.1 (Closes: #1032731)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Mar 2023 21:49:45 +0100

python-trezor (0.12.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: #997820
  * debian/copyright
    - update for new upstream code

 -- Sandro Tosi <morph@debian.org>  Sat, 30 Oct 2021 21:39:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-trezor
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Tristan Seligmann <mithrandi@debian.org>,
  Richard Ulrich <richi@paraeasy.ch>,
 Section: python
 Homepage: https://github.com/trezor/trezor-firmware
@@ -24,9 +23,9 @@
  python3-requests,
  python3-setuptools,
  python3-typing-extensions,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-trezor
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-trezor.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trezor
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-trezor.git
 Rules-Requires-Root: no
 
 Package: trezor

=== debian/tests/control ===
Test-Command: for p in $(py3versions -s); do $p -m pytest tests/; done
Depends:
 python3-all,
 python3-pytest,
 python3-trezor,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/trezor/trezor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-trezor 0.13.9

=== requirements.txt ===
ecdsa>=0.9
mnemonic>=0.20
requests>=2.4.0
click>=7,<8.2
libusb1>=1.6.4
construct>=2.9,!=2.10.55
typing_extensions>=4.7.1
construct-classes>=0.1.2

=== debian/changelog ===
python-trezor (0.13.9-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Mon, 14 Oct 2024 14:35:56 -0700

python-trezor (0.13.9-4) unstable; urgency=medium

  * debian/rules:  Imrpove test override comment.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 21:32:33 -0700

python-trezor (0.13.9-3) unstable; urgency=medium

  * debian/control:  Add comments explaining recommended and suggested packages.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 13:26:14 -0700

python-trezor (0.13.9-2) unstable; urgency=medium

  * Add debian/README.Debian to document recommended and suggested packages and
    unpackaged components.
  * Add debian/python3-trezor.docs to install upstream README.md and
    debian/README.Debian.
  * Add debian/trezor.docs to install upstream README.md.
  * debian/control:
    - Remove unneeded Build-Depends and Recommends on python3-attr.
    - Update Build-Depends from python3-libusb1 (transitional package) to
      python3-usb1.
    - Recommend python3-cryptography and python3-pyqt5.
    - Move python3-hid from Recommends to Suggests.
    - Suggest cython3, libudev-dev, libusb-1.0-0-dev, and python3-dev.
  * debian/io.trezor.trezorctl.metainfo.xml:  Update homepage and bugtracker
    ULRs.

 -- Soren Stoutner <soren@debian.org>  Fri, 04 Oct 2024 11:19:55 -0700

python-trezor (0.13.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1062442, #1082274).
  * Remove unneeded lintian-overrides.
  * Remove debian/tests as everything is handled by
  * Add:
    - debian/trezorctl.1.
    - debian/trezor.manpages.
  * debian/control:
    - Add myself to uploaders.
    - Remove Richard Ulrich <richi@paraeasy.ch> from uploaders at his request.
    - Update upstream homepage.
    - Add Build-Depends on python3-construct-classes.
    - Add Testsuite: autopkgtest-pkg-pybuild.
    - Add <!nocheck> to python3-pytest.
    - Bump standards version to 4.7.0 (no changes needed).
    - Reformat for readability.
  * debian/copyright:
    - Add myself to debian/*.
    - Update upstream copyright.
    - Update upstream homepage.
    - Update license for debian/io.trezor.trezorctl.metainfo.xml to be Expat.
    - Reformat for readability.
  * debian/io.trezor.trezorctl.metainfo.xml:
    - Change license from MIT-0 to MIT (Closes: #1077138).
    - Refactor developer name.
  * debian/patches:
    - Refresh 0001-Suggest-apt-instead-of-pip-install.patch and update headers.
    - Remove 0002-fix-python-click-8.1-compatibility.patch (fixed
      upstream).
  * debian/rules:
    - Disable the new test_firmware during build as it accesses the internet.
  * debian/upstream/metadata:  Update Repository-Browse.
  * debian/watch:  Bump version from 3 to 4.

 -- Soren Stoutner <soren@debian.org>  Mon, 30 Sep 2024 10:41:04 -0700

=== debian/control ===
Source: python-trezor
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-click,
               python3-construct,
               python3-construct-classes,
               python3-ecdsa,
               python3-hid,
               python3-usb1,
               python3-mnemonic,
               python3-pil,
               python3-protobuf,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-typing-extensions
Standards-Version: 4.7.0
Homepage: https://github.com/trezor/trezor-firmware/tree/main/python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trezor
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trezor.git
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: trezor
Architecture: all
Depends: python3-trezor (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
# python3-cryptography provides user-friendly device authentication.
# python3-pil and python3-pyqt5 are used by the Qt PIN widget.
Recommends: python3-cryptography,
            python3-pil,
            python3-pyqt5
# cython3, libudev-dev, libusb-1.0-0-dev, python3-dev, and python3-hid allow updating firmware on older Trezor devices.
Suggests: cython3,
          libudev-dev,
          libusb-1.0-0-dev,
          python3-dev,
          python3-hid
Section: utils
Breaks: python-trezor
Replaces: python-trezor
Description: utilities for communicating with TREZOR Bitcoin HW wallet
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the trezorctl binary for interacting with a TREZOR
 wallet, and the udev rules needed to make the device accessible.

Package: python3-trezor
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
# python3-cryptography provides user-friendly device authentication.
# python3-pil and python3-pyqt5 are used by the Qt PIN widget.
Recommends: python3-cryptography,
            python3-pil,
            python3-pyqt5
# cython3, libudev-dev, libusb-1.0-0-dev, python3-dev, and python3-hid allow updating firmware on older Trezor devices.
Suggests: cython3,
          libudev-dev,
          libusb-1.0-0-dev,
          python3-dev,
          python3-hid
Breaks: electrum (<< 3.1.0)
Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents. That's why
 all operations using TREZOR are entirely safe.
 .
 This package contains the Python 3 version of python-trezor.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=trezor
export PYBUILD_AFTER_INSTALL_python3=mkdir -p debian/trezor/usr/bin && \
	mv {destdir}/usr/bin/trezorctl debian/trezor/usr/bin

# Disable test_firmware, which downloads a binary firmware image from the
# internet as part of the test.
export PYBUILD_TEST_ARGS=-k 'not test_firmware'

%:
	dh $@ --buildsystem=pybuild

## python-trezor 0.13.10

=== requirements.txt ===
ecdsa>=0.9
mnemonic>=0.20
shamir-mnemonic>=0.3.0
slip10>=1.0.1
requests>=2.4.0
click>=7,<8.2
libusb1>=1.6.4
construct>=2.9,!=2.10.55
typing_extensions>=4.7.1
construct-classes>=0.1.2
cryptography>=41

=== debian/changelog ===
python-trezor (0.13.10-3) unstable; urgency=medium

  * Remove debian/trezor.udev as these rules are now provided by the udev
    package.
  * Remove the obsolete debian/py3dist-overrides and
    debian/python-trezor.pyremove.
  * Add debian/python3-trezor.install to install the Python modules.
  * debian/control:
    - Build-depend on dh-sequence-bash-completion.
    - Remove the obsolete breaks and replaces of python-trezor from the trezor
      binary package.
    - Remove the reference to the udev rules from the trezor binary package
      description.
    - Remove some of the description text to make it sound less like an
      advertisement.
  * debian/rules:  Remove PYBUILD_NAME and PYBUILD_AFTER_INSTALL_python3
    variables.
  * debian/trezor.install:  Install the trezorctl utility.

 -- Soren Stoutner <soren@debian.org>  Tue, 12 Aug 2025 13:41:25 -0700

python-trezor (0.13.10-2) unstable; urgency=medium

  * Remove unneeded debian/source/options with extend-diff-ignore.
  * debian/control:
    - Add build-depends-indep on python3-shamir-mnemonic and python3-slip10.
    - Bump standards-version to 4.7.2 (no changes needed).

 -- Soren Stoutner <soren@debian.org>  Mon, 03 Mar 2025 15:09:13 -0700

python-trezor (0.13.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Relax python3-click upper bounds (Closes: #1098252).
    - Move python3-cryptography from recommends to build-depends-indep to match
      changes in upstream.
    - Move most build-depends to build-depends-indep.
    - Bump standards-version to 4.7.1 (no changes needed).
  * debian/copyright:
    - Update copyright year and email address for myself.
  * debian/gbp.conf:  Enforce pristine-tar and sign-tags.
  * debian/salsa-ci.yml:  Update with the currently recommended default
    contents.

 -- Soren Stoutner <soren@debian.org>  Tue, 22 Oct 2024 09:49:29 -0700

=== debian/control ===
Source: python-trezor
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-python3,
               python3-all
Build-Depends-Indep: python3-click,
                     python3-construct,
                     python3-construct-classes,
                     python3-cryptography,
                     python3-ecdsa,
                     python3-hid,
                     python3-mnemonic,
                     python3-pil,
                     python3-protobuf,
                     python3-requests,
                     python3-setuptools,
                     python3-shamir-mnemonic,
                     python3-slip10,
                     python3-typing-extensions,
                     python3-usb1,
                     python3-pytest <!nocheck>,
Homepage: https://github.com/trezor/trezor-firmware/tree/main/python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trezor
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trezor.git
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Standards-Version: 4.7.2

Package: trezor
Architecture: all
Depends: python3-trezor (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
# python3-pil and python3-pyqt5 are used by the Qt PIN widget.
Recommends: python3-pil,
            python3-pyqt5
# cython3, libudev-dev, libusb-1.0-0-dev, python3-dev, and python3-hid allow updating firmware on older Trezor devices.
Suggests: cython3,
          libudev-dev,
          libusb-1.0-0-dev,
          python3-dev,
          python3-hid
Section: utils
Description: utilities for communicating with TREZOR Bitcoin HW wallet
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents.
 .
 This package contains the trezorctl binary for interacting with a TREZOR
 wallet.

Package: python3-trezor
Architecture: all
# Temporarily hard code the dependencies to remove the python3-click upper bounds.  This can be reverted with the > 0.13.10 upstream release.  <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1098252>
Depends: python3-click (>= 7), python3-construct, python3-construct-classes, python3-cryptography (>= 41), python3-ecdsa (>= 0.9), python3-mnemonic (>= 0.20), python3-requests (>= 2.4.0), python3-shamir-mnemonic, python3-slip10, python3-typing-extensions, python3-usb1, python3:any,
         ${misc:Depends}
#         ${python3:Depends}
# python3-pil and python3-pyqt5 are used by the Qt PIN widget.
Recommends: python3-pil,
            python3-pyqt5
# cython3, libudev-dev, libusb-1.0-0-dev, python3-dev, and python3-hid allow updating firmware on older Trezor devices.
Suggests: cython3,
          libudev-dev,
          libusb-1.0-0-dev,
          python3-dev,
          python3-hid
Breaks: electrum (<< 3.1.0)
Description: library for communicating with TREZOR Bitcoin HW wallet (Python 3)
 No matter how unprotected your computer or internet connection might be,
 your coins always stay safe with TREZOR as it never exposes your private keys.
 TREZOR is an isolated environment for offline transaction signing and using
 a small display you can visually verify the transaction contents.
 .
 This package contains the Python 3 version of python-trezor.

=== debian/rules ===
#!/usr/bin/make -f

# Disable test_firmware, which downloads a binary firmware image from the
# internet as part of the test.
export PYBUILD_TEST_ARGS=-k 'not test_firmware'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/trezor/trezor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
